Skip to main content
GET
Get list of all stored files

Authorizations

X-API-KEY
string
header
required

Query Parameters

limit
integer
default:1000

Maximum number of files to return

Required range: x <= 1000
offset
integer
default:0

Number of files to skip before starting to collect the result set

Required range: x >= 0

Response

Successful Response

file_id
string
required

Unique identifier for the stored file

Example:

"987fcdeb-a89b-43d3-b456-789012345678"

environment_name
string | null

The environment this file was stored in (e.g., 'main', 'test', 'dev').

Example:

"main"

storage_url
string | null

URL where the file is stored

Example:

"https://storage.rendi.dev/123e4567-e89b-12d3-a456-426614174000/output.avi"

status
enum<string> | null

Status of the file

Available options:
QUEUED,
DOWNLOADING,
DOWNLOADED,
UPLOADED,
FAILED,
STORED
Example:

"STORED"

rendi_store_type
enum<string> | null

Type of storage of the file in rendi

Available options:
INPUT,
OUTPUT,
STORED_FILE
Example:

"STORED_FILE"

error_status
string | null

Status of any error that occurred during file processing

Example:

"UNREACHABLE_INPUT_FILE"

external_error_message
string | null

Error details if the file failed to be processed

Example:

"Input file url https://rendi.dev/example is not reachable."

is_deleted
boolean | null

Whether the file has been deleted

Example:

false

size_mbytes
number | null

Size of the output file or folder in megabytes

Example:

15.2

file_count
integer | null

Number of files in the output folder/playlist

Example:

5

size_compressed_mbytes
number | null

Size of the output compressed folder in megabytes

Example:

15.2

is_private
boolean | null

Whether the file is stored privately. Private files are accessible via their storage_url only if you request a presigned URL by passing presigned_ttl_seconds on GET /v1/files/{file_id} (for a single file) or GET /v1/commands/{command_id} (for a command's output files) to receive a time-limited downloadable URL. Not available on free plans.

Example:

false